Debian Bug report logs - #459705
Source package contains non-free IETF RFC/I-D

version graph

Package: pike7.6; Maintainer for pike7.6 is Magnus Holmgren <holmgren@debian.org>;

Reported by: Simon Josefsson <simon@josefsson.org>

Date: Tue, 8 Jan 2008 08:24:01 UTC

Severity: serious

Tags: lenny-ignore

Found in versions pike7.6/7.6.112-5, pike7.6/7.6.112-4, pike7.6/7.6.112-3, pike7.6/7.6.112-1, pike7.6/7.6.112-2, pike7.6/7.6.24-1

Fixed in version pike7.6/7.6.112-dfsg-1

Done: Magnus Holmgren <holmgren@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <magnus@kibibyte.se>:
Bug#459705; Package pike7.6. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
New Bug report received and forwarded. Copy sent to Magnus Holmgren <magnus@kibibyte.se>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: submit@bugs.debian.org
Subject: Source package contains non-free IETF RFC/I-D
Date: Tue, 08 Jan 2008 09:20:02 +0100
Severity: serious
Package: pike7.6
Version: 7.6.112-1
User: debian-release@lists.debian.org
Usertags: nonfree-doc rfc

Hi!

This source package contains the following files from the
IETF under non-free license terms:

  Pike-v7.6.112/bundles/nettle-1.14.tar.gz:nettle-1.14/testsuite/rfc1750.txt

This problem really is in nettle, and not pike, and was earlier
discussed in that context, see:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=393400

The problem has been fixed in recent releases.  Maybe pike could include
that version of nettle?  Or if nettle inside pike isn't used (there is a
dependency on the nettle package, so I would assume the answer is no),
just remove the nettle archive from the pike sources.

The license on RFC/I-Ds is not DFSG-free, see:
 * http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=199810
 * http://release.debian.org/removing-non-free-documentation
 * http://wiki.debian.org/NonFreeIETFDocuments

The etch release policy says binary and source packages must each be free:
 * http://release.debian.org/etch_rc_policy.txt

The severity is serious, because this violates the Debian policy:
 * http://www.debian.org/doc/debian-policy/ch-archive.html#s-dfsg

There are (at least) three ways to fix this problem.  In order of
preference:

1. Ask the author of the RFC to re-license the RFC under a free
   license.  A template for this e-mail request can be found at
   http://wiki.debian.org/NonFreeIETFDocuments

2. Remove the non-free material from the source, e.g., by re-packaging
   the upstream archive and adding 'dfsg' to the Debian package
   version name.

3. Move the package to non-free.

General discussions are kindly requested to take place on debian-legal
or debian-devel in the thread with Subject: "Non-free IETF RFC/I-Ds in
source packages".

Thanks,
Simon




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#459705; Package pike7.6. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <magnus@kibibyte.se>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 459705@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <magnus@kibibyte.se>
To: control@bugs.debian.org
Cc: 459705@bugs.debian.org
Subject: Pike has been bundling Nettle with non-free RFC for a long time
Date: Sat, 19 Jan 2008 15:21:37 +0100
[Message part 1 (text/plain, inline)]
found 459705 7.6.24-1
-- 
Magnus Holmgren
magnus@kibibyte.se
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 7.6.24-1. Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. (Sat, 19 Jan 2008 14:24:03 GMT) Full text and rfc822 format available.

Bug marked as found in version 7.6.112-2. Request was from Simon Josefsson <simon@josefsson.org> to control@bugs.debian.org. (Wed, 14 May 2008 14:00:05 GMT) Full text and rfc822 format available.

Message sent on to Simon Josefsson <simon@josefsson.org>:
Bug#459705. Full text and rfc822 format available.

Message #17 received at 459705-submitter@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 459705-submitter@bugs.debian.org
Subject: Re: Source package contains non-free IETF RFC/I-D
Date: Thu, 26 Jun 2008 12:33:58 +0200
[Message part 1 (text/plain, inline)]
On tisdagen den 8 januari 2008, you stated the following:
> This source package contains the following files from the
> IETF under non-free license terms:
>
>  
> Pike-v7.6.112/bundles/nettle-1.14.tar.gz:nettle-1.14/testsuite/rfc1750.txt
>
> This problem really is in nettle, and not pike, and was earlier
> discussed in that context, see:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=393400

While I generally agree that everything Debian ships should be really free, 
not merely free to redistribute, in this case I feel that a single file 
buried inside another tarball, which no-one has reason to unpack since Nettle 
exists as a package of its own, is such a marginal issue that the desire to 
ship a pristine tarball should carry more weight.

I've asked upstream to switch to Nettle 1.15, but it's unlikely that they'll 
make a new 7.6 release soon.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#459705; Package pike7.6. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #22 received at 459705-quiet@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: Magnus Holmgren <holmgren@debian.org>
Cc: 459705-quiet@bugs.debian.org
Subject: Re: Bug#459705: Source package contains non-free IETF RFC/I-D
Date: Mon, 30 Jun 2008 12:14:48 +0200
Magnus Holmgren <holmgren@debian.org> writes:

> On tisdagen den 8 januari 2008, you stated the following:
>> This source package contains the following files from the
>> IETF under non-free license terms:
>>
>>  
>> Pike-v7.6.112/bundles/nettle-1.14.tar.gz:nettle-1.14/testsuite/rfc1750.txt
>>
>> This problem really is in nettle, and not pike, and was earlier
>> discussed in that context, see:
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=393400
>
> While I generally agree that everything Debian ships should be really free, 
> not merely free to redistribute, in this case I feel that a single file 
> buried inside another tarball, which no-one has reason to unpack since Nettle 
> exists as a package of its own, is such a marginal issue that the desire to 
> ship a pristine tarball should carry more weight.
>
> I've asked upstream to switch to Nettle 1.15, but it's unlikely that they'll 
> make a new 7.6 release soon.

Maybe add a 'upstream' tag to this bug?  When/if there is a new version
released of pike 7.6 that uses nettle 1.15, the problem will be solved.
There is no emergency to fix this bug today.

I noticed that Pike 7.7 (the development series) still uses nettle 1.14
though.  If Pike 7.7 is changed to bundle nettle 1.15 now, this problem
will solve itself by the time pike 7.8 is released and pike 7.6 becomes
obsolete, and eventually dropped from debian.

Thanks,
/Simon




Information stored:
Bug#459705; Package pike7.6. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #27 received at 459705-quiet@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: Magnus Holmgren <holmgren@debian.org>
Cc: 459705-quiet@bugs.debian.org
Subject: Re: Bug#459705: Source package contains non-free IETF RFC/I-D
Date: Mon, 30 Jun 2008 12:22:13 +0200
I filed an upstream bug about this problem, see:

http://community.roxen.com/crunch/show_bug.cgi?id=4555

I'll let you tag the debian bug upstream/forwarded if you think it is a
good idea.

/Simon




Bug marked as found in version 7.6.112-3. Request was from Simon Josefsson <simon@josefsson.org> to control@bugs.debian.org. (Mon, 30 Jun 2008 12:54:18 GMT) Full text and rfc822 format available.

Tags added: lenny-ignore Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Fri, 26 Sep 2008 13:09:05 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Fri, 16 Jan 2009 13:15:06 GMT) Full text and rfc822 format available.

Information stored :
Bug#459705; Package pike7.6. (Fri, 16 Jan 2009 13:15:08 GMT) Full text and rfc822 format available.

Message #36 received at 459705-quiet@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Magnus Holmgren <holmgren@debian.org>, 459705-quiet@bugs.debian.org
Cc: 459705-submitter@bugs.debian.org
Subject: Re: Bug#459705: Source package contains non-free IETF RFC/I-D
Date: Fri, 16 Jan 2009 14:13:07 +0100
[Message part 1 (text/plain, inline)]
tags 459705 patch
thanks

On Thu, Jun 26, 2008 at 12:33:58PM +0200, Magnus Holmgren wrote:
> While I generally agree that everything Debian ships should be really free, 
> not merely free to redistribute, in this case I feel that a single file 
> buried inside another tarball, which no-one has reason to unpack since Nettle 
> exists as a package of its own, is such a marginal issue that the desire to 
> ship a pristine tarball should carry more weight.

Hi Magnus,

I'm attaching a script that does this for you.  It should no longer be a
burden to remove that file from a deeply buried tarball.

Usage:

  ./prune_pike pike7.6_7.6.112.orig.tar.gz pike7.6_7.6.112.dfsg.orig.tar.gz

Will you try to get this fixed in Lenny?

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."
[prune_pike (text/plain, attachment)]

Message sent on to Simon Josefsson <simon@josefsson.org>:
Bug#459705. (Fri, 16 Jan 2009 13:15:10 GMT) Full text and rfc822 format available.

Information stored :
Bug#459705; Package pike7.6. (Fri, 16 Jan 2009 16:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and filed, but not forwarded. (Fri, 16 Jan 2009 16:42:07 GMT) Full text and rfc822 format available.

Message #44 received at 459705-quiet@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: Robert Millan <rmh@aybabtu.com>
Cc: 459705-quiet@bugs.debian.org, Magnus Holmgren <holmgren@debian.org>
Subject: Re: Bug#459705: Source package contains non-free IETF RFC/I-D
Date: Fri, 16 Jan 2009 17:39:42 +0100
Robert Millan <rmh@aybabtu.com> writes:

> On Thu, Jun 26, 2008 at 12:33:58PM +0200, Magnus Holmgren wrote:
>> While I generally agree that everything Debian ships should be really free, 
>> not merely free to redistribute, in this case I feel that a single file 
>> buried inside another tarball, which no-one has reason to unpack since Nettle 
>> exists as a package of its own, is such a marginal issue that the desire to 
>> ship a pristine tarball should carry more weight.
>
> Hi Magnus,
>
> I'm attaching a script that does this for you.  It should no longer be a
> burden to remove that file from a deeply buried tarball.
>
> Usage:
>
>   ./prune_pike pike7.6_7.6.112.orig.tar.gz pike7.6_7.6.112.dfsg.orig.tar.gz
>
> Will you try to get this fixed in Lenny?

Thanks for developing a patch.

Note that according to #393400, if the pike package actually builds the
nettle copy and invokes its self tests, you will also need to disable
the self-test that uses the RFC text as input.  However, that sounds
like the wrong approach, instead the pike package should link to the
Debian nettle package where this problem has been fixed already.
Possibly the latter is already the case, in which case Robert's patch
should work fine.

/Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#459705; Package pike7.6. (Wed, 21 Jan 2009 16:36:04 GMT) Full text and rfc822 format available.

Message #47 received at 459705@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 459705@bugs.debian.org, 512539@bugs.debian.org
Subject: DELAYED/5-day NMU
Date: Wed, 21 Jan 2009 17:33:14 +0100
[Message part 1 (text/plain, inline)]
tags 459705 pending
tags 512539 pending
thanks

Hi,

I've uploaded the following NMU to DELAYED/5-day.  If you'd rather do the
upload yourself, and need more time, please let me know so I can cancel it.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."
[pike7.6.debdiff (text/plain, attachment)]

Tags added: pending Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Wed, 21 Jan 2009 16:36:06 GMT) Full text and rfc822 format available.

Message sent on to Simon Josefsson <simon@josefsson.org>:
Bug#459705. (Thu, 22 Jan 2009 07:51:03 GMT) Full text and rfc822 format available.

Message #52 received at 459705-submitter@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: Robert Millan <rmh@aybabtu.com>
Cc: 459705-submitter@bugs.debian.org
Subject: Re: Bug#459705: Source package contains non-free IETF RFC/I-D
Date: Thu, 22 Jan 2009 08:48:52 +0100
[Message part 1 (text/plain, inline)]
On fredagen den 16 januari 2009, Robert Millan wrote:
> tags 459705 patch
> thanks
>
> On Thu, Jun 26, 2008 at 12:33:58PM +0200, Magnus Holmgren wrote:
> > While I generally agree that everything Debian ships should be really
> > free, not merely free to redistribute, in this case I feel that a single
> > file buried inside another tarball, which no-one has reason to unpack
> > since Nettle exists as a package of its own, is such a marginal issue
> > that the desire to ship a pristine tarball should carry more weight.
>
> Hi Magnus,
>
> I'm attaching a script that does this for you.  It should no longer be a
> burden to remove that file from a deeply buried tarball.

Thanks. However, I'd like to repeat that the reason I haven't fixed this bug 
isn't that it's hard, but that it seems like such a marginal problem that I 
consider it more important with a pristine tarball.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Message sent on to Simon Josefsson <simon@josefsson.org>:
Bug#459705. (Sun, 25 Jan 2009 21:24:12 GMT) Full text and rfc822 format available.

Message #55 received at 459705-submitter@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 459705-submitter@bugs.debian.org
Subject: Re: Bug#459705: Source package contains non-free IETF RFC/I-D
Date: Sun, 25 Jan 2009 22:23:32 +0100
[Message part 1 (text/plain, inline)]
On torsdagen den 22 januari 2009, Magnus Holmgren wrote:
> On fredagen den 16 januari 2009, Robert Millan wrote:
> > tags 459705 patch
> > thanks
> >
> > On Thu, Jun 26, 2008 at 12:33:58PM +0200, Magnus Holmgren wrote:
> > > While I generally agree that everything Debian ships should be really
> > > free, not merely free to redistribute, in this case I feel that a
> > > single file buried inside another tarball, which no-one has reason to
> > > unpack since Nettle exists as a package of its own, is such a marginal
> > > issue that the desire to ship a pristine tarball should carry more
> > > weight.
> >
> > I'm attaching a script that does this for you.  It should no longer be a
> > burden to remove that file from a deeply buried tarball.
>
> Thanks. However, I'd like to repeat that the reason I haven't fixed this
> bug isn't that it's hard, but that it seems like such a marginal problem
> that I consider it more important with a pristine tarball.

Especially after I made the effort to make the package work with tarballs as 
shipped by upstream. And "HE" seemed to agree too. Furthermore, the problem 
is resolved upstream in Pike 7.8, which bundles Nettle 1.15 and should 
probably replace Pike 7.6 entirely in the next release.

I apologise for not protesting sooner, but could you please cancel the NMU? I 
can't stop it simply by uploading a new Debian revision since you increased 
the upstream version.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Tags removed: patch, pending Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Sun, 25 Jan 2009 22:09:12 GMT) Full text and rfc822 format available.

Bug marked as found in version 7.6.112-4. Request was from Simon Josefsson <simon@josefsson.org> to control@bugs.debian.org. (Mon, 23 Feb 2009 16:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#459705; Package pike7.6. (Sat, 22 Aug 2009 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Magnus Holmgren <holmgren@debian.org>. (Sat, 22 Aug 2009 15:03:03 GMT) Full text and rfc822 format available.

Message #64 received at 459705@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 459705@bugs.debian.org
Subject: Status upload of pike7.8?
Date: Sat, 22 Aug 2009 17:00:41 +0200
Hi

What's the status of uploading pike7.8 which uses an updated Nettle?

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#459705; Package pike7.6. (Sat, 22 Aug 2009 17:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@debian.org>:
Extra info received and forwarded to list. (Sat, 22 Aug 2009 17:45:05 GMT) Full text and rfc822 format available.

Message #69 received at 459705@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: Luk Claes <luk@debian.org>, 459705@bugs.debian.org
Subject: Re: Bug#459705: Status upload of pike7.8?
Date: Sat, 22 Aug 2009 19:30:13 +0200
[Message part 1 (text/plain, inline)]
On lördagen den 22 augusti 2009, Luk Claes wrote:
> Hi
>
> What's the status of uploading pike7.8 which uses an updated Nettle?

Soonish. I have checked in a patch; I'll just see what other changes to 
include in the same upload.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions pike7.6/7.6.112-5. Request was from Simon Josefsson <simon@josefsson.org> to control@bugs.debian.org. (Mon, 31 Aug 2009 18:24:13 GMT) Full text and rfc822 format available.

Reply sent to Magnus Holmgren <holmgren@debian.org>:
You have taken responsibility. (Fri, 11 Sep 2009 20:27:07 GMT) Full text and rfc822 format available.

Notification sent to Simon Josefsson <simon@josefsson.org>:
Bug acknowledged by developer. (Fri, 11 Sep 2009 20:27:07 GMT) Full text and rfc822 format available.

Message #76 received at 459705-close@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 459705-close@bugs.debian.org
Subject: Bug#459705: fixed in pike7.6 7.6.112-dfsg-1
Date: Fri, 11 Sep 2009 20:03:49 +0000
Source: pike7.6
Source-Version: 7.6.112-dfsg-1

We believe that the bug you reported is fixed in the latest version of
pike7.6, which is due to be installed in the Debian FTP archive:

pike7.6-bzip2_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-bzip2_7.6.112-dfsg-1_amd64.deb
pike7.6-core_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-core_7.6.112-dfsg-1_amd64.deb
pike7.6-dev_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-dev_7.6.112-dfsg-1_amd64.deb
pike7.6-doc_7.6.112-dfsg-1_all.deb
  to pool/main/p/pike7.6/pike7.6-doc_7.6.112-dfsg-1_all.deb
pike7.6-gdbm_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-gdbm_7.6.112-dfsg-1_amd64.deb
pike7.6-gl_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-gl_7.6.112-dfsg-1_amd64.deb
pike7.6-image_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-image_7.6.112-dfsg-1_amd64.deb
pike7.6-manual_7.6.112-dfsg-1_all.deb
  to pool/main/p/pike7.6/pike7.6-manual_7.6.112-dfsg-1_all.deb
pike7.6-meta_7.6.112-dfsg-1_all.deb
  to pool/main/p/pike7.6/pike7.6-meta_7.6.112-dfsg-1_all.deb
pike7.6-mysql_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-mysql_7.6.112-dfsg-1_amd64.deb
pike7.6-odbc_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-odbc_7.6.112-dfsg-1_amd64.deb
pike7.6-pcre_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-pcre_7.6.112-dfsg-1_amd64.deb
pike7.6-perl_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-perl_7.6.112-dfsg-1_amd64.deb
pike7.6-pg_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-pg_7.6.112-dfsg-1_amd64.deb
pike7.6-reference_7.6.112-dfsg-1_all.deb
  to pool/main/p/pike7.6/pike7.6-reference_7.6.112-dfsg-1_all.deb
pike7.6-sane_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-sane_7.6.112-dfsg-1_amd64.deb
pike7.6-sdl_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-sdl_7.6.112-dfsg-1_amd64.deb
pike7.6-svg_7.6.112-dfsg-1_amd64.deb
  to pool/main/p/pike7.6/pike7.6-svg_7.6.112-dfsg-1_amd64.deb
pike7.6_7.6.112-dfsg-1.diff.gz
  to pool/main/p/pike7.6/pike7.6_7.6.112-dfsg-1.diff.gz
pike7.6_7.6.112-dfsg-1.dsc
  to pool/main/p/pike7.6/pike7.6_7.6.112-dfsg-1.dsc
pike7.6_7.6.112-dfsg-1_all.deb
  to pool/main/p/pike7.6/pike7.6_7.6.112-dfsg-1_all.deb
pike7.6_7.6.112-dfsg.orig.tar.gz
  to pool/main/p/pike7.6/pike7.6_7.6.112-dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459705@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Magnus Holmgren <holmgren@debian.org> (supplier of updated pike7.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 11 Sep 2009 21:08:39 +0200
Source: pike7.6
Binary: pike7.6-core pike7.6 pike7.6-dev pike7.6-manual pike7.6-reference pike7.6-doc pike7.6-meta pike7.6-mysql pike7.6-pg pike7.6-odbc pike7.6-svg pike7.6-image pike7.6-sdl pike7.6-gdbm pike7.6-gl pike7.6-sane pike7.6-perl pike7.6-pcre pike7.6-bzip2
Architecture: source all amd64
Version: 7.6.112-dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Magnus Holmgren <holmgren@debian.org>
Changed-By: Magnus Holmgren <holmgren@debian.org>
Description: 
 pike7.6    - Recommended metapackage for Pike 7.6
 pike7.6-bzip2 - Bzip2 module for Pike
 pike7.6-core - Powerful interpreted programming language
 pike7.6-dev - Development files for Pike 7.6
 pike7.6-doc - Pike 7.6 documentation metapackage
 pike7.6-gdbm - Gdbm module for Pike
 pike7.6-gl - Mesa module for Pike
 pike7.6-image - Image module for Pike
 pike7.6-manual - Pike 7.6 manual
 pike7.6-meta - Metapackage for Pike 7.6
 pike7.6-mysql - MySQL module for Pike
 pike7.6-odbc - Odbc module for Pike
 pike7.6-pcre - PCRE module for Pike
 pike7.6-perl - Perl module for Pike
 pike7.6-pg - PostgreSQL module for Pike
 pike7.6-reference - Pike 7.6 reference
 pike7.6-sane - SANE module for Pike
 pike7.6-sdl - SDL module for Pike
 pike7.6-svg - SVG format support for Pike
Closes: 459705
Changes: 
 pike7.6 (7.6.112-dfsg-1) unstable; urgency=low
 .
   * Repack upstream tarball without the 'bundles' subdirectory, which
     contained a non-free IETF RFC inside nettle-1.14.tar.gz as well as the
     GMP documentation, which is released under the GFDL with cover texts,
     inside gmp-4.2.1.tar-gz (Closes: #459705).
Checksums-Sha1: 
 1708af79636e09ac74658d6a3640c34a49401d7c 1878 pike7.6_7.6.112-dfsg-1.dsc
 f2067d799d545120933b181a6189623fe1ec1a52 12044980 pike7.6_7.6.112-dfsg.orig.tar.gz
 269c07a03798e47dafacb01b209afc2f2787ce3f 33075 pike7.6_7.6.112-dfsg-1.diff.gz
 1389bd95f98097b029a9721d086b624182ac751b 37840 pike7.6_7.6.112-dfsg-1_all.deb
 919416119d651498d594d9c11750eb06d9ab414b 4123776 pike7.6-manual_7.6.112-dfsg-1_all.deb
 d37f4cc2e249a53a1388063b2966d118b370aa0b 5824048 pike7.6-reference_7.6.112-dfsg-1_all.deb
 ee17cb20f4c37211dae1536cc2ce07b4d6ec0ae9 37670 pike7.6-doc_7.6.112-dfsg-1_all.deb
 ecc3d624f467d56518a0d3a885a8c9eb80a5ec4e 37768 pike7.6-meta_7.6.112-dfsg-1_all.deb
 e3c9aec49e01d2f7bc3daadf07c5db8b809bc0e6 2627268 pike7.6-core_7.6.112-dfsg-1_amd64.deb
 632b6d85db89f3d12c5652bd89b9848a8a02868e 246062 pike7.6-dev_7.6.112-dfsg-1_amd64.deb
 87d718e17aaedbaadc66badac7b1fd53db82169b 31108 pike7.6-mysql_7.6.112-dfsg-1_amd64.deb
 89a9d3fe429c17c28bc557a86ed473df25e81dad 17714 pike7.6-pg_7.6.112-dfsg-1_amd64.deb
 fd25b150f2bdadb80c2e475ec06f4362bba6aabe 11672 pike7.6-odbc_7.6.112-dfsg-1_amd64.deb
 5c56c376008c4085365851dac97a79690b89b6fb 5306 pike7.6-svg_7.6.112-dfsg-1_amd64.deb
 47769c36c731e3325826971f9b80b3e952c363cc 398598 pike7.6-image_7.6.112-dfsg-1_amd64.deb
 7543acf144f976fc85aa0cdb673b0891cd84a8af 42578 pike7.6-sdl_7.6.112-dfsg-1_amd64.deb
 9e3d15ed9508f92e42d49a90690125185366cefc 7864 pike7.6-gdbm_7.6.112-dfsg-1_amd64.deb
 81fff01c545df6d9307934da47606c034152b9de 76802 pike7.6-gl_7.6.112-dfsg-1_amd64.deb
 d8a4b320dd4d4fad3fa8794a4c96f8802ec05a31 10384 pike7.6-sane_7.6.112-dfsg-1_amd64.deb
 c8e30a65830e8e54c3f7191d4dcf503492687336 11466 pike7.6-perl_7.6.112-dfsg-1_amd64.deb
 0900aaac3c4680db6a1685241f746e8d85baec1c 10868 pike7.6-pcre_7.6.112-dfsg-1_amd64.deb
 c6d6516b7b7920f696cf35f43448a532149edd2c 11136 pike7.6-bzip2_7.6.112-dfsg-1_amd64.deb
Checksums-Sha256: 
 90afd4779e7405bb4930ffc16dcc8739ede05f05dadba52c062ff0ac038f51d5 1878 pike7.6_7.6.112-dfsg-1.dsc
 6aa2f36d321e9e61c15b29679ad220f18c0247e7c477a2661ea61cec1a4c4164 12044980 pike7.6_7.6.112-dfsg.orig.tar.gz
 01145c6cdbd67a62d2c9329a81a6a1652cc8300a55735d9e9425c363755f8d23 33075 pike7.6_7.6.112-dfsg-1.diff.gz
 b96827b5308f5d27f827d73c552ae04e3b1c0cf0e34a7ff0d2022e3b196e2244 37840 pike7.6_7.6.112-dfsg-1_all.deb
 8c7699edfcb7585eef500d5c391bddb061f89d020e60ed408a770b1948bd1cb0 4123776 pike7.6-manual_7.6.112-dfsg-1_all.deb
 cae661776685eec6abfe1f8542634fb102320407970652909af50a187d6324a8 5824048 pike7.6-reference_7.6.112-dfsg-1_all.deb
 4915ba89f864ec49ba4dd7ea923698a5779f0abe0b28e01636fcbdb13f46b809 37670 pike7.6-doc_7.6.112-dfsg-1_all.deb
 179b45b09852c745cd3828914687e262b9f25d6b78dad5d810b9119923edae3f 37768 pike7.6-meta_7.6.112-dfsg-1_all.deb
 efc40184119afe12dfb9f98c815ff20f509e333354a2e874b3027e2c10944f76 2627268 pike7.6-core_7.6.112-dfsg-1_amd64.deb
 bd391f634bc29d0c0a00c741f109b2c25ae30b08e699cfb3c527c4f444d1095d 246062 pike7.6-dev_7.6.112-dfsg-1_amd64.deb
 15df13b2d6134dd2456457518c7688ac18c3591adb7362fb9803360e87fa653c 31108 pike7.6-mysql_7.6.112-dfsg-1_amd64.deb
 024d88c38f334c65c336a3debf11f91cbd71e7641523260d98ed520b3ff34573 17714 pike7.6-pg_7.6.112-dfsg-1_amd64.deb
 f98912193d3b65e1ebd6c88bbe89ce22774221735ebdd47aaa1f91a2ff367773 11672 pike7.6-odbc_7.6.112-dfsg-1_amd64.deb
 14d9497028b018ece8c07f4378ecbd38d8009977abd7b8d962132a737201a103 5306 pike7.6-svg_7.6.112-dfsg-1_amd64.deb
 429a6276a866f0718755af9cdbc204c7599fe12e931440efde3466966b19e7b8 398598 pike7.6-image_7.6.112-dfsg-1_amd64.deb
 54b9910f939c3441f7ec9912284ea8d6bac4728e144bb2a566a9d6a76f881036 42578 pike7.6-sdl_7.6.112-dfsg-1_amd64.deb
 a888ea70de06eed974c54829ae9975dff04eb8891297e949019607e3d15ecced 7864 pike7.6-gdbm_7.6.112-dfsg-1_amd64.deb
 f3a5fedf44ab12bc84837daa20ccb8768ca7866ccc9aa3230b63e22f651722d0 76802 pike7.6-gl_7.6.112-dfsg-1_amd64.deb
 f1a9da8f2dba39658bdafb94ed3e229b60d0a249923175ff23fdcd6a616fdbce 10384 pike7.6-sane_7.6.112-dfsg-1_amd64.deb
 0a92147a39980ac8ce0703d3ec22a5e44252d6751dad1493a167f3d5a7d09dfc 11466 pike7.6-perl_7.6.112-dfsg-1_amd64.deb
 e693ba9c70c890fa9b49c7b962a197d7dd3ebbb0e372d197903e496fb55db842 10868 pike7.6-pcre_7.6.112-dfsg-1_amd64.deb
 79132b873cec59d502bd3b114fa450c631647d879704ac30703abc93e6514099 11136 pike7.6-bzip2_7.6.112-dfsg-1_amd64.deb
Files: 
 48660a310c4fca72a31688c837e7a677 1878 interpreters optional pike7.6_7.6.112-dfsg-1.dsc
 5b5fc64279e564f14c8326ddf0f19bec 12044980 interpreters optional pike7.6_7.6.112-dfsg.orig.tar.gz
 4fd0d269cc8d06f9b239742878dd92dc 33075 interpreters optional pike7.6_7.6.112-dfsg-1.diff.gz
 6c9e80df0a9a13757bd44f9414f8108b 37840 interpreters optional pike7.6_7.6.112-dfsg-1_all.deb
 ca99ea3bdd510797f837409be621a845 4123776 doc optional pike7.6-manual_7.6.112-dfsg-1_all.deb
 fba66da05a6a75f0ea8297f5bb8cdf0a 5824048 doc optional pike7.6-reference_7.6.112-dfsg-1_all.deb
 d5f59c61b22f6b41d04d820571541134 37670 doc optional pike7.6-doc_7.6.112-dfsg-1_all.deb
 4a4ccf544dd4f9a67bcf5bd98b35115f 37768 interpreters optional pike7.6-meta_7.6.112-dfsg-1_all.deb
 c0360f6b0836c8cfe50689886ad843e5 2627268 interpreters optional pike7.6-core_7.6.112-dfsg-1_amd64.deb
 8cdb56f9054b59dd3a9b68929b5fb99c 246062 interpreters optional pike7.6-dev_7.6.112-dfsg-1_amd64.deb
 9554282b4b0de84305d23c8e3aac5611 31108 interpreters optional pike7.6-mysql_7.6.112-dfsg-1_amd64.deb
 e1c1b17340d792e79ed091354dced5bc 17714 interpreters optional pike7.6-pg_7.6.112-dfsg-1_amd64.deb
 86a4c90ac141224a4e64686cb2a451e8 11672 interpreters optional pike7.6-odbc_7.6.112-dfsg-1_amd64.deb
 bedd307b4e1cb5cece90fe91d75b004b 5306 interpreters optional pike7.6-svg_7.6.112-dfsg-1_amd64.deb
 faff10ffc4dfcb253b755aa8a2f0e3f5 398598 interpreters optional pike7.6-image_7.6.112-dfsg-1_amd64.deb
 6bb994582a23109f7e43a76316e7e7c8 42578 interpreters optional pike7.6-sdl_7.6.112-dfsg-1_amd64.deb
 2c21bffcf6a2011022d0f7b1235fba3b 7864 interpreters optional pike7.6-gdbm_7.6.112-dfsg-1_amd64.deb
 b6bbcccc76fd98a2340ea152c266c699 76802 interpreters optional pike7.6-gl_7.6.112-dfsg-1_amd64.deb
 98828894c66c463fdb8e3322aca2ffc5 10384 interpreters optional pike7.6-sane_7.6.112-dfsg-1_amd64.deb
 d5e0e8c9082083dadd2326b0fe49851c 11466 interpreters optional pike7.6-perl_7.6.112-dfsg-1_amd64.deb
 a93ee64d19f464096620d69bdcb6aa0f 10868 interpreters optional pike7.6-pcre_7.6.112-dfsg-1_amd64.deb
 695703643f4fa3422aed4acb0ec59781 11136 interpreters optional pike7.6-bzip2_7.6.112-dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqqp4UACgkQk7mRNn1h4+agkwCfWrKIEBMuT2llzFrxGcxgk4lR
wo0AniEWxO4g5HN0O+SmvbwIXTKSm5Be
=5vTC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Mar 2011 07:32:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:48:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.